Subject: Re: After update from 1.5.18 to 1.5.19, xemacs 21.4.13 can only run from bash
From: René Berber <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Jan 2006 16:22:48 -0600

Karr, David wrote:
[snip]
>>And the command you are running is?
> 
> 
> C:\cygwin\usr\local\bin\i686-pc-cygwin\xemacs-21.4.13.exe

This is not the xemacs distributed by Cygwin... or is it?

>>>I have a similar icon for 21.4.18, and that doesn't demonstrate the 
>>>same problem, although 21.4.18 always runs a cmd window in the 
>>>background, which 21.4.13 does not.

Use run.exe to avoid the command window.

> I did not upgrade Xemacs.  Executing the icon (which uses the path given above),
> or pasting that path into a cmd window, does nothing.  It just returns to the
prompt
> and the window doesn't appear.  The upgrade of Cygwin did not affect the execution
> of 21.4.18 at all, only 21.4.13.  I'm not using 21.4.18 regularly yet for
other reasons.

Continuing with the guess work, did you move the old xemacs to /usr/local?

Have you checked if the old xemacs depends on libraries you don't currently
have? (i.e. cygcheck /usr/local/bin/i686-pc-cygwin/xemacs-21.4.13)

Please keep replies to the list.
-- 
René Berber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/